## Spawn a grave with the contents of 'm_graves:grave_storage'
# Place grave marker and interaction entities
summon interaction ~ ~ ~ {Tags:["multipack.grave_interaction"],width:1.3f,height:1f}
summon marker ~ ~ ~ {Tags:["multipack.grave_marker"]}
data modify entity @n[distance=..0.1,type=marker,tag=multipack.grave_marker] data set from storage m_graves:grave_storage
execute unless score @s multipack.graves matches -2147483648..2147483647 run scoreboard players add $graveID multipack.persist 1
execute unless score @s multipack.graves matches -2147483648..2147483647 run scoreboard players operation @s multipack.graves = $graveID multipack.persist
scoreboard players operation @n[distance=..0.1,type=marker,tag=multipack.grave_marker] multipack.graves = @s multipack.graves

# Display "R.I.P" and the name of the dead player. If there are multiple dead players, skip name
summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0,0,0.0625,1],right_rotation:[0,1,0,1],translation:[-0.23,0.79,0],scale:[1,0.74,0.74]},text:"R.I.P",background:0}
execute store result score &playersDead multipack.temp run execute if entity @a[scores={multipack.death=1..}]
execute if score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0,0,0.0625,1],right_rotation:[0,1,0,1],translation:[-0.21,0.62,0],scale:[1,0.4,0.4]},text:{"selector":"@p[scores={multipack.death=1..}]"},background:0}

# summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"pink_petals",Properties:{flower_amount:"2",facing:"south"}},transformation:{translation:[-0.625,0.125,-0.5],scale:[1,1,1],left_rotation:[0,0,0,1],right_rotation:[0,0,0,1]}}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"soul_soil"},transformation:{translation:[-0.65,0,-0.5],scale:[1.25,0.125,1],left_rotation:[0,0,0,1],right_rotation:[0,0,0,1]}}
execute unless dimension the_end unless dimension the_nether run summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"stone_brick_wall",Properties:{up:"true",north:"low",south:"low"}},transformation:{translation:[-0.8,0,-0.4375],scale:[0.875,1,0.875],left_rotation:[0,0,0.0625,1],right_rotation:[0,0,0,1]}}
execute if dimension the_nether run summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"polished_blackstone_brick_wall",Properties:{up:"true",north:"low",south:"low"}},transformation:{translation:[-0.8,0,-0.4375],scale:[0.875,1,0.875],left_rotation:[0,0,0.0625,1],right_rotation:[0,0,0,1]}}
execute if dimension the_end run summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"deepslate_tile_wall",Properties:{up:"true",north:"low",south:"low"}},transformation:{translation:[-0.8,0,-0.4375],scale:[0.875,1,0.875],left_rotation:[0,0,0.0625,1],right_rotation:[0,0,0,1]}}
scoreboard players reset &playersDead multipack.temp
